Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
ezpContentFieldCriteria Class Reference
Inheritance diagram for ezpContentFieldCriteria:

## Public Member Functions
| __construct ( $fieldIdentifier)
| like ( $string)
| startsWith ( $string)
| endsWith ( $string)
| translate ()
| __toString ()

## Detailed Description

Definition at line 17 of file criteria/field.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpContentFieldCriteria::__construct | ( |  | $fieldIdentifier | ) |

Definition at line 19 of file criteria/field.php.

## Member Function Documentation

## ◆ __toString()

ezpContentFieldCriteria::__toString | ( |  | ) |

Definition at line 62 of file criteria/field.php.

## ◆ endsWith()

ezpContentFieldCriteria::endsWith | ( |  | $string | ) |

Filter content on the value a string ends with

Parameters

  string | $string | String the content has to end with

Returns
  ezpContentFieldCriteria

Definition at line 55 of file criteria/field.php.

## ◆ like()

ezpContentFieldCriteria::like | ( |  | $string | ) |

Adds a 'like' parameter to the criteria.

Parameters

  string | $string |

Returns
  ezpContentFieldCriteria

Definition at line 31 of file criteria/field.php.

## ◆ startsWith()

ezpContentFieldCriteria::startsWith | ( |  | $string | ) |

Filter content on the value a string starts with

Parameters

  string | $string | String the content has to start with

Returns
  ezpContentFieldCriteria

Definition at line 43 of file criteria/field.php.

## ◆ translate()

ezpContentFieldCriteria::translate | ( |  | ) |

Return the criteria as a value usable by eZContentObjectTreeNode Temporary method that needs to be refactored

Returns
  array

Implements ezpContentCriteriaInterface.

Definition at line 60 of file criteria/field.php.

The documentation for this class was generated from the following file:

- criteria/field.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.